pub struct Comment {
    /// id of the comment in the thread
    id: Option<usize>,
    /// text of the comment
    text: String,
    /// thread comment is in
    thread: usize,
    /// comments that are mentioned by the comment
    in_reply_to: Vec<usize>,
    /// comments that mention the comment
    mentioned_by: Vec<usize>,
}
